QGIS Application - Feature request #12926
Improve attribute table performance
2015-06-09 11:08 PM - Paolo Cavallini

Status: Closed

Priority: High

Assignee:

Category: Attribute table

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 21008
Description

Loading a large (pg) table requires the loading of all records. This is a real performance killer, and effectively prevents the use of layers

with millions of records.

Moreover, even when selection Show only selected in Options, and selecting a few records, apparently all records are read, so this does

not speed up.

This beaviour is changed from 1.8 to 2.0. In older versions if you show only selection or show only object visible in map extent qgis was

faster. With newer version it has to read all the table data every time it is opened.
See also #10619

Related issues:

Related to QGIS Application - Bug report # 10619: Attribute table 'Show featu... Closed 2014-06-18
Related to QGIS Application - Bug report # 12318: attribute table does not sh... Closed 2015-03-05
History

#1 - 2015-06-09 11:23 PM - Jiirgen Fischer

- Tracker changed from Bug report to Feature request

- Subject changed from Loading attribute table very slow to Improve attribute table performance
- Priority changed from Normal to High

#2 - 2015-11-30 08:11 AM - Alessandro Pasotti

Here is an attempt to speed things up: https:/github.com/qgis/QGIS/pull/2518

#3 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No
#4 - 2017-05-10 11:41 AM - Regis Haubourg

- Description updated
- Status changed from Open to In Progress

Some work has been done here and seems to really improve things: [[https://github.com/qgis/QGIS/pull/4230]]

Some other improvements seem possible again with joined fields.

#5 - 2018-03-07 05:40 PM - Paolo Cavallini
- Status changed from In Progress to Feedback

The two PR are closed. Should we close this as well?
https://github.com/qgis/QGIS/pull/2518
https://github.com/qgis/QGIS/pull/4230

Any automatic performance testing?

#6 - 2018-03-07 10:03 PM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed

Still slow for large tables if compared to other (gis) software. Better than in the past anyway.
